Bug 195202 - xend init script not returning
xend init script not returning
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: xen (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: James Antill
Martin Jenner
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-06-14 10:39 EDT by Joe Orton
Modified: 2008-02-26 18:10 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-02-26 18:10:37 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Joe Orton 2006-06-14 10:39:39 EDT
[refiled]

Description of problem:
On first boot of a Raw Hide system I'm left with a hung init script;

 1346 ?        Ss     0:00 /bin/bash /etc/rc.d/rc 3
 2529 ?        S      0:00  \_ /bin/bash /etc/rc3.d/S98xend start
 2531 ?        S      0:00      \_ python /usr/sbin/xend start
 2536 ?        Z      0:00          \_ [xenconsoled] <defunct>
 2537 ?        Zs     0:00          \_ [python] <defunct>

(machine has been up an hour in this state)

Version-Release number of selected component (if applicable):
xen-3.0.2-4

------- Additional Comments From jorton@redhat.com  2006-06-09 10:41 EST -------
There does also appear to be a successfully daemonized xend running separately.

 2538 ?        S      0:00 python /usr/sbin/xend start
 2539 ?        Sl     0:00  \_ python /usr/sbin/xend start
Comment 1 Jeremy Katz 2006-06-14 10:52:02 EDT
This is due to Xen not working properly with SELinux right now.
Comment 3 James Antill 2006-06-14 11:35:56 EDT
 No problem, brian.

 At a guess this is the problem with xend not being allowed to create
directories in /var/run ... Joe can you try going to permissive mode, restarting
xend (possibly having to hand kill the old one) shutting it down, going back to
enforcing and starting it.
Comment 5 Stephen Tweedie 2007-03-16 11:10:01 EDT
Is this still reproducible on the latest stable release+updates?  Thanks.
Comment 6 Red Hat Bugzilla 2007-07-24 19:55:34 EDT
change QA contact
Comment 7 Chris Lalancette 2008-02-26 18:10:37 EST
This report targets FC5, which is now end-of-life.

Please re-test against Fedora 7 or later, and if the issue persists, open a new bug.

Thanks

Note You need to log in before you can comment on or make changes to this bug.